<?php
// vim: set ts=4 sw=4 sts=4 et:

/**
 * Copyright (c) 2011-present Qualiteam software Ltd. All rights reserved.
 * See https://www.x-cart.com/license-agreement.html for license details.
 */

namespace XLite\Module\Qualiteam\BopfAdditionalCheckoutFields\Controller\Customer;

/**
 * Checkout
 */
class Checkout extends \XLite\Controller\Customer\Checkout implements \XLite\Base\IDecorator
{
    /**
     * Do payment
     *
     * @return void
     */
    protected function doPayment()
    {
        $cart = $this->getCart();

        $additionalCheckoutFields = \XLite\Core\Database::getRepo('XLite\Model\Config')
            ->findByCategoryAndVisible('Qualiteam\\BopfAdditionalCheckoutFields');

        if ($additionalCheckoutFields) {
            foreach ($additionalCheckoutFields as $field) {
                if (isset(\XLite\Core\Request::getInstance()->{$field->getName()})) {
                    if ($cart->getAdditionalFieldByName($field->getName())) {
                        // Update
                        $newField = $cart->getAdditionalFieldByName($field->getName());
                    } else {
                        // Create
                        $newField = new \XLite\Module\Qualiteam\BopfAdditionalCheckoutFields\Model\OrderAdditionalFields();
                        $newField->setOrder($cart);

                        \XLite\Core\Database::getEM()->persist($newField);

                        $cart->addAdditionalFields($newField);
                    }

                    $newField->setName($field->getName());
                    $newField->setLabel($field->getValue());
                    $newField->setValue(\XLite\Core\Request::getInstance()->{$field->getName()});
                }
            }
        }

        parent::doPayment();
    }
}
