<?php
// vim: set ts=4 sw=4 sts=4 et:

/**
 * Copyright (c) 2011-present Qualiteam software Ltd. All rights reserved.
 * See https://www.x-cart.com/license-agreement.html for license details.
 */

namespace XLite\Module\Qualiteam\BopfAdditionalCheckoutFields\Module\XC\FastLaneCheckout\View\Blocks;

/**
 * Checkout order notes
 */
class AdditionalCheckoutFields extends \XLite\View\AView
{
    /**
     * Get JS files
     *
     * @return array
     */
    public function getJSFiles()
    {
        $list = array();

        $list[] = 'modules/Qualiteam/BopfAdditionalCheckoutFields/modules/XC/FastLaneCheckout/blocks/additional_checkout_fields/additional_checkout_fields.js';

        return $list;
    }

    /**
     * Return widget default template
     *
     * @return string
     */
    protected function getDefaultTemplate()
    {
        return 'modules/Qualiteam/BopfAdditionalCheckoutFields/modules/XC/FastLaneCheckout/blocks/additional_checkout_fields/template.twig';
    }

    /*
     * Get additional checkout fields
     */
    protected function getAdditionalCheckoutFiedls()
    {
        $result = array();

        $additionalCheckoutFields = \XLite\Core\Database::getRepo('XLite\Model\Config')
            ->findByCategoryAndVisible('Qualiteam\\BopfAdditionalCheckoutFields');

        if ($additionalCheckoutFields) {
            foreach ($additionalCheckoutFields as $field) {
                $fieldIndex = 0 ;

                // Find $fieldIndex
                preg_match("/^(dropdown_menu_name_|dropdown_menu_values_)(\d+)$/", $field->getName(), $matches);

                if (
                    !empty($matches[2])
                    && intval($matches[2]) > 0
                ) {
                    $fieldIndex = intval($matches[2]);
                }

                if ($fieldIndex) {
                    if (0 === strpos($field->getName(), 'dropdown_menu_name_')) {
                        // Field name
                        $result[$fieldIndex][\XLite\View\Model\AModel::SCHEMA_NAME] = $field->getName();
                        $result[$fieldIndex][\XLite\View\Model\AModel::SCHEMA_CLASS] = '\XLite\View\FormField\Select\Regular';
                        $result[$fieldIndex][\XLite\View\Model\AModel::SCHEMA_LABEL] = $field->getValue();

                        // Get current value
                        $currentValue = $this->getCart()->getAdditionalFieldByName($field->getName())
                            ? trim($this->getCart()->getAdditionalFieldByName($field->getName())->getValue())
                            : '';

                        $result[$fieldIndex][\XLite\View\Model\AModel::SCHEMA_VALUE] = $currentValue;

                        $result[$fieldIndex]['methodOnChange'] = 'update' . \XLite\Core\Converter::convertToCamelCase($field->getName());
                    } elseif (0 === strpos($field->getName(), 'dropdown_menu_values_')) {
                        // Field values
                        $possibleVariants = array_map('trim', explode(';', $field->getValue()));

                        $result[$fieldIndex][\XLite\View\Model\AModel::SCHEMA_OPTIONS] = array_combine($possibleVariants, $possibleVariants);
                    }
                }
            }

        }

        return $result;
    }
}
