<?php
// vim: set ts=4 sw=4 sts=4 et:

/**
 * Copyright (c) 2011-present Qualiteam software Ltd. All rights reserved.
 * See https://www.x-cart.com/license-agreement.html for license details.
 */

namespace XLite\Module\Qualiteam\BopfQtyFieldForCategoryPages\View\ItemsList\Product;

/**
 * Abstract product list
 */
abstract class AProduct extends \XLite\View\ItemsList\Product\AProduct implements \XLite\Base\IDecorator
{
    /**
     * Get a list of JavaScript files required to display the widget properly
     *
     * @return array
     */
    public function getJSFiles()
    {
        $oldList = parent::getJSFiles();

        // Our js file must be added right after the 'items_list/product/products_list.js' one
        if ($oldList) {
            foreach ($oldList as $v) {
                $newList[] = $v;

                if ('items_list/product/products_list.js' == $v) {
                    $newList[] = 'modules/Qualiteam/BopfQtyFieldForCategoryPages/items_list/product/products_list.js';
                }
            }
        }

        return $newList;
    }
}
