<?php
// vim: set ts=4 sw=4 sts=4 et:

/**
 * Copyright (c) 2011-present Qualiteam software Ltd. All rights reserved.
 * See https://www.x-cart.com/license-agreement.html for license details.
 */

namespace XLite\Module\Qualiteam\FreeCatalogFeatureT57432\Controller\Admin;


class Export extends \XLite\Controller\Admin\Export implements \XLite\Base\IDecorator
{
    protected function assembleExportOptions()
    {
        $result = parent::assembleExportOptions();

        $request = \XLite\Core\Request::getInstance();

        $additional = [];

        if (!empty($request->options['catalog_requests_export'])) {
            $dirAbsolute = \XLite\Module\Qualiteam\FreeCatalogFeatureT57432\Main::getAbsoluteExportDir();

            if (!\Includes\Utils\FileManager::isExists($dirAbsolute)) {
                \Includes\Utils\FileManager::mkdirRecursive($dirAbsolute);
            }

            if (\Includes\Utils\FileManager::isExists($dirAbsolute)) {
                $additional['dir'] = \XLite\Module\Qualiteam\FreeCatalogFeatureT57432\Main::getRelativeExportDir();
            }
            $additional['file_suffix'] = time();
            $additional['do_not_remove_files'] = true;
            $additional['show_only_last_downloadable_file'] = true;
        }

        return array_merge(
            $result,
            $additional
        );
    }

    /**
     * Download
     *
     * @return void
     */
    protected function doActionDownload()
    {
        $path = \XLite\Core\Request::getInstance()->path;
        if ($path && strpos($path, 'catalog_requests_') === 0) {
            $this->customDownloadAction();
        } else {
            parent::doActionDownload();
        }
    }

    protected function customDownloadAction()
    {
        $path = \XLite\Core\Request::getInstance()->path;
        if ($path) {
            $state = [
                'options' => [
                    'position' => 999,
                    'dir' => \XLite\Module\Qualiteam\FreeCatalogFeatureT57432\Main::getRelativeExportDir()
                ]
            ];
            $generator = new \XLite\Logic\Export\Generator($state['options']);

            $list = $generator->getDownloadableFiles();

            $path = LC_DIR_VAR . $generator->getOptions()->dir . LC_DS . $path;
            if (in_array($path, $list)) {
                $name = basename($path);
                header('Content-Type: ' . $this->detectMimeType($path) . '; charset=UTF-8');
                header('Content-Disposition: attachment; filename="' . $name . '"; modification-date="' . date('r') . ';');
                header('Content-Length: ' . filesize($path));

                $this->set('silent', true);

                readfile($path);
                die(0);
            }
        }
    }
}
