<?php
// vim: set ts=4 sw=4 sts=4 et:

/**
 * Copyright (c) 2011-present Qualiteam software Ltd. All rights reserved.
 * See https://www.x-cart.com/license-agreement.html for license details.
 */

namespace XLite\Module\Qualiteam\FreeCatalogFeatureT57432\Controller\Customer;

use XLite\Controller\Customer\ACustomer;

class FreeCatalogRequest extends ACustomer
{
    public function getTitle()
    {
        return static::t('Request a Free Catalog');
    }

    /**
     * Update model
     *
     * @return void
     */
    protected function doActionUpdate()
    {
        $result = $this->getModelForm()->performAction('modify');

        if ($result && $this->getModelForm()->getModelObject()) {
            \XLite\Core\Mailer::sendFreeCatalogRequest(
                $this->getModelForm()->getModelObject()
            );
        }

        $this->setReturnURL(
            $this->buildURL('main')
        );
    }

    /**
     * Get model form class
     *
     * @return string
     */
    protected function getModelFormClass()
    {
        return 'XLite\Module\Qualiteam\FreeCatalogFeatureT57432\View\Model\CatalogRequestFormModel';
    }
}
