<?php
// vim: set ts=4 sw=4 sts=4 et:

/**
 * Copyright (c) 2011-present Qualiteam software Ltd. All rights reserved.
 * See https://www.x-cart.com/license-agreement.html for license details.
 */

namespace XLite\Module\Qualiteam\FreeCatalogFeatureT57432\Logic\Export;

/**
 * Generator
 */
class Generator extends \XLite\Logic\Export\Generator implements \XLite\Base\IDecorator
{
/**
     * Define steps
     *
     * @return array
     */
    protected function defineSteps()
    {
        return array_merge(
            parent::defineSteps(),
            [
                'XLite\Module\Qualiteam\FreeCatalogFeatureT57432\Logic\Export\Step\CatalogRequests',
                'XLite\Module\Qualiteam\FreeCatalogFeatureT57432\Logic\Export\Step\NewCatalogRequests',
            ]
        );
    }

    /**
     * @param $file
     */
    public function setFileInProcess($file)
    {
        $this->options['last_file_in_process'] = $file;
    }

    public function deleteAllFiles()
    {
        if (!empty($this->getOptions()['do_not_remove_files'])) {
            return;
        }

        parent::deleteAllFiles();
    }

    public function getDownloadableFiles()
    {
        $showOnlyLast = !empty($this->options['show_only_last_downloadable_file']);

        return $showOnlyLast && !empty($this->options['last_file_in_process'])
            ? [ $this->getLastDownloadableFile() ]
            : parent::getDownloadableFiles();
    }

    protected function getLastDownloadableFile()
    {
        $dir = LC_DIR_VAR . $this->getOptions()->dir . LC_DS;

        $file = $dir . $this->options['last_file_in_process'];

        return is_file($file)
            ? $file
            : '';
    }
}
