<?php
// vim: set ts=4 sw=4 sts=4 et:

/**
 * Copyright (c) 2011-present Qualiteam software Ltd. All rights reserved.
 * See https://www.x-cart.com/license-agreement.html for license details.
 */

namespace XLite\Module\Qualiteam\FreeCatalogFeatureT57432\Model;

use XLite\Core\Cache\ExecuteCachedTrait;
use XLite\Core\Converter;

/**
 * Class Menu
 * @Decorator\Depend ("CDev\SimpleCMS")
 */
class Menu extends \XLite\Module\CDev\SimpleCMS\Model\Menu implements \XLite\Base\IDecorator
{
    use ExecuteCachedTrait;

    const DEFAULT_FREE_CATALOG_REQUEST = '{free_catalog_request}';

    /**
     * Defines the resulting link values for the specific link values
     * for example: {home}
     *
     * @return array
     */
    protected function defineLinkURLs()
    {
        $list = parent::defineLinkURLs();

        $list += $this->executeCachedRuntime(function () {
            return [
                static::DEFAULT_FREE_CATALOG_REQUEST => Converter::buildURL('free_catalog_request'),
            ];
        }, 'product_advisor');

        return $list;
    }

    /**
     * Defines the link controller class names for the specific link values
     * for example: {home}
     *
     * @return array
     */
    protected function defineLinkControllers()
    {
        $list = parent::defineLinkControllers();

        $list[static::DEFAULT_FREE_CATALOG_REQUEST] = '\XLite\Module\Qualiteam\FreeCatalogFeatureT57432\Controller\Customer\FreeCatalogRequest';

        return $list;
    }
}
