<?php
// vim: set ts=4 sw=4 sts=4 et:

/**
 * Copyright (c) 2011-present Qualiteam software Ltd. All rights reserved.
 * See https://www.x-cart.com/license-agreement.html for license details.
 */

namespace XLite\Module\Qualiteam\FreeCatalogFeatureT57432\View\StickyPanel;


use XLite\Model\Repo\ARepo;
use XLite\Model\SearchCondition\Expression\TypeEquality;

class CatalogRequests extends \XLite\View\StickyPanel\ItemsListForm
{
    /**
     * Define buttons widgets
     *
     * @return array
     */
    protected function defineButtons()
    {
        $list = parent::defineButtons();
        unset($list['save']);

        $countNew = $this->getNewRequestCount();
        $isButtonDisabled = $countNew === 0;

        $list['export_new'] = $this->getWidget(
            [
                'label'      => $isButtonDisabled
                    ? static::t('No new requests')
                    : static::t('Export new'),
                'style'      => 'always-enabled',
                'icon-style' => '',
                'entity'     => 'XLite\Module\Qualiteam\FreeCatalogFeatureT57432\Logic\Export\Step\NewCatalogRequests',
                'session'    => \XLite\Module\Qualiteam\FreeCatalogFeatureT57432\View\ItemsList\CatalogRequests::getConditionCellName(),
                'disabled'   => $isButtonDisabled,
            ],
            'XLite\Module\Qualiteam\FreeCatalogFeatureT57432\View\Button\ExportCSV'
        );

        $list['export'] = $this->getWidget(
            [],
            'XLite\Module\Qualiteam\FreeCatalogFeatureT57432\View\Button\ItemsExport\CatalogRequests'
        );

        return $list;
    }

    /**
     * @return int
     */
    protected function getNewRequestCount()
    {
        $conditionCell = new \XLite\Core\CommonCell();
        $conditionCell->exported = TypeEquality::create('exported', false);
        $repo = \XLite\Core\Database::getRepo('XLite\Module\Qualiteam\FreeCatalogFeatureT57432\Model\CatalogRequest');

        return (int)$repo->search($conditionCell, ARepo::SEARCH_MODE_COUNT);
    }
}

