<?php
// vim: set ts=4 sw=4 sts=4 et:

/**
 * Copyright (c) 2011-present Qualiteam software Ltd. All rights reserved.
 * See https://www.x-cart.com/license-agreement.html for license details.
 */

namespace XLite\Module\Qualiteam\GlobalDiscountsT60032\Model;

/**
 * Class Product
 * @package XLite\Module\Qualiteam\GlobalDiscountsT60032\Model
 */
class Product extends \XLite\Model\Product implements \XLite\Base\IDecorator
{
    /**
     * Global Discounts flag
     *
     * @var boolean
     *
     * @Column (type="boolean", options={"default": 0})
     */
    protected $apply_global_discounts = false;

    /**
     * @return bool
     */
    public function isApplyGlobalDiscounts()
    {
        return $this->getApplyGlobalDiscounts();
    }

    /**
     * @return bool
     */
    public function getApplyGlobalDiscounts()
    {
        return $this->apply_global_discounts;
    }

    /**
     * @param bool $apply_global_discounts
     */
    public function setApplyGlobalDiscounts($apply_global_discounts)
    {
        $this->apply_global_discounts = $apply_global_discounts;
    }
}
