<?php
// vim: set ts=4 sw=4 sts=4 et:

/**
 * Copyright (c) 2011-present Qualiteam software Ltd. All rights reserved.
 * See https://www.x-cart.com/license-agreement.html for license details.
 */

namespace XLite\Module\Qualiteam\TotalInMinicartT51748\View;

use XLite\Core\Translation;
use XLite\Module\Qualiteam\TotalInMinicartT51748\Model\Order;

class Minicart extends \XLite\View\Minicart implements \XLite\Base\IDecorator
{
    protected $depth = 0;

    protected function doDisplay($template = null)
    {
        /** @var Order $cart */
        $cart = $this->getCart();

        if ($cart && $this->depth === 0) {
            Translation::setForceSubtotalNewLabel(true);
            $cart->setForceTotalAsSubtotal(true);
        }

        // This is here for list_childs. They disable force early on
        $this->depth++;
        parent::doDisplay($template);
        $this->depth--;

        if ($cart && $this->depth === 0) {
            Translation::setForceSubtotalNewLabel(false);
            $cart->setForceTotalAsSubtotal(false);
        }
    }
}
