/* vim: set ts=2 sw=2 sts=2 et: */

/**
 * order-notes.js
 *
 * Copyright (c) 2001-present Qualiteam software Ltd. All rights reserved.
 * See https://www.x-cart.com/license-agreement.html for license details.
 */
define(
  'checkout_fastlane/blocks/additional_checkout_fields',
 ['vue/vue'],
  function(Vue) {

  var AdditionalCheckoutFields = Vue.extend({
    name: 'order-additional-checkout-fields',
    replace: false,

    vuex: {
      getters: {
        dropdown_menu_name_1: function(state) {
          return state.order.dropdown_menu_name_1;
        },
        dropdown_menu_name_2: function(state) {
          return state.order.dropdown_menu_name_2;
        },
      },
      actions: {
        updateDropdownMenuName_1: function(state, event) {
          state.dispatch('UPDATE_DROPDOWN_MENU_NAME_1', event.target.value);
          this.$nextTick(function() {
            $('order-additional-checkout-fields select').trigger('change');
          });
        },
        updateDropdownMenuName_2: function(state, event) {
          state.dispatch('UPDATE_DROPDOWN_MENU_NAME_2', event.target.value);
          this.$nextTick(function() {
            $('order-additional-checkout-fields select').trigger('change');
          });
        },
      }
    },
  });

  return AdditionalCheckoutFields;
});
