/* vim: set ts=2 sw=2 sts=2 et: */

/**
 * place-order.js
 *
 * Copyright (c) 2001-present Qualiteam software Ltd. All rights reserved.
 * See https://www.x-cart.com/license-agreement.html for license details.
 */
define('bopfadditionalcheckoutfields/checkout_fastlane/sections/payment/place_order',
  ['checkout_fastlane/sections/payment/place_order',
    'checkout_fastlane/sections/section_change_button'],
  function(PlaceOrder, SectionChangeButton) {

    var parentMethods = PlaceOrder.options.methods;

    PlaceOrder = PlaceOrder.extend({
      vuex: {
        getters: {
          dropdown_menu_name_1: function (state) {
            return state.order.dropdown_menu_name_1;
          },
          dropdown_menu_name_2: function (state) {
            return state.order.dropdown_menu_name_2;
          }
        }
      },

      methods: {
        getData: function () {
          var data = parentMethods.getData.apply(this, arguments);

          var additional_checkout_fields = {
            dropdown_menu_name_1: this.dropdown_menu_name_1,
            dropdown_menu_name_2: this.dropdown_menu_name_2,
          };

          data = _.extend(data, additional_checkout_fields);

          return data;
        }
      }
    });

    Vue.registerComponent(SectionChangeButton, PlaceOrder);

    return PlaceOrder;
  });
