<?php
// vim: set ts=4 sw=4 sts=4 et:

/**
 * Copyright (c) 2011-present Qualiteam software Ltd. All rights reserved.
 * See https://www.x-cart.com/license-agreement.html for license details.
 */

namespace XLite\Module\Qualiteam\BopfAdditionalCheckoutFields\View\Tabs;

/**
 * Tabs related to shipping
 */
 class Shipping extends \XLite\View\Tabs\ShippingAbstract implements \XLite\Base\IDecorator
{
    /**
     * Returns the list of targets where this widget is available
     *
     * @return string
     */
    public static function getAllowedTargets()
    {
        $list = parent::getAllowedTargets();
        $list[] = 'additional_checkout_fields';

        return $list;
    }

    /**
     * @return array
     */
    protected function defineTabs()
    {
        $result = parent::defineTabs();

        $result += array(
            'additional_checkout_fields' => array(
                'weight'   => 600,
                'title'    => 'Additional checkout fields',
                'widget'   => 'XLite\Module\Qualiteam\BopfAdditionalCheckoutFields\View\Page\AdditionalCheckoutFields',
            )
        );

        return $result;
    }
}
