<?php
// vim: set ts=4 sw=4 sts=4 et:

/**
 * Copyright (c) 2011-present Qualiteam software Ltd. All rights reserved.
 * See https://www.x-cart.com/license-agreement.html for license details.
 */

namespace XLite\Module\Qualiteam\BopfQtyFieldForCategoryPages\View\FormField\Select;

/**
 * ExcludedCategoriesQtyBox selector
 */
class ExcludedCategoriesQtyBox extends \XLite\View\FormField\Select\Categories
{
    /**
     * Prepare request data (typecasting)
     *
     * @param mixed $value Value
     *
     * @return mixed
     */
    public function prepareRequestData($value)
    {
        return serialize($value);
    }

    /**
     * Set value
     *
     * @param mixed $value Value to set
     */
    public function setValue($value)
    {
        if (is_string($value) && ($data = @unserialize($value)) !== false) {
            if (is_array($data)) {
                $value = [];
                foreach ($data as $catId) {
                    $value[$catId] = $catId;
                }
            }
        }

        parent::setValue($value);
    }
}
