<?php
// vim: set ts=4 sw=4 sts=4 et:

/**
 * Copyright (c) 2011-present Qualiteam software Ltd. All rights reserved.
 * See https://www.x-cart.com/license-agreement.html for license details.
 */

namespace XLite\Module\Qualiteam\BopfQtyFieldForCategoryPages\View\Product;

/**
 * Product list item widget
 */
 class ListItem extends \XLite\Module\XC\CustomerAttachments\View\Product\ListItem implements \XLite\Base\IDecorator
{
    /**
     * Return true if 'Qty' input box shoud be displayed on the list items
     *
     * @return boolean
     */
    public function isDisplayQuantityBox()
    {
        $result = !$this->isExcludedCategory();

        return $result;
    }

    /*
     * Check if category is excluded from displaying qty box
     */
    protected function isExcludedCategory()
    {
        $result = false;
        $categoryIds = array();
        $excludedCategoryIds = array();

        $currentCategoryId = $this->getCategoryId();

        if ($currentCategoryId) {
            // Get parent categories
            $catRepo = \XLite\Core\Database::getRepo('XLite\Model\Category');
            $categoryPath = $catRepo->getCategoryPath($currentCategoryId);

            if ($categoryPath) {
                foreach ($categoryPath as $cat) {
                    $categoryIds[] = $cat->getCategoryId();
                }
            }

            $excludedCategoryIds = @unserialize(\XLite\Core\Config::getInstance()->Qualiteam->BopfQtyFieldForCategoryPages->excluded_categories_qty_box);
        }

        if (
            $categoryIds
            && $excludedCategoryIds
            && array_intersect($categoryIds, $excludedCategoryIds)
        ) {
            $result = true;
        }

        return $result;
    }
}
