<?php
// vim: set ts=4 sw=4 sts=4 et:

/**
 * Copyright (c) 2011-present Qualiteam software Ltd. All rights reserved.
 * See https://www.x-cart.com/license-agreement.html for license details.
 */

namespace XLite\Module\Qualiteam\FreeCatalogFeatureT57432\Core;


 class Mailer extends \XLite\Module\XC\ProductVariants\Core\Mailer implements \XLite\Base\IDecorator
{
    const TYPE_FREE_CATALOG_REQUEST_ADMIN = 'siteAdmin';

    /**
     * Send vendor message notification
     *
     * @param \XLite\Module\Qualiteam\FreeCatalogFeatureT57432\Model\CatalogRequest $request
     *
     * @return string | null
     */
    public static function sendFreeCatalogRequest(\XLite\Module\Qualiteam\FreeCatalogFeatureT57432\Model\CatalogRequest $request)
    {
        static::register([
            'freeCatalogRequest' => $request,
        ]);

        static::compose(
            static::TYPE_FREE_CATALOG_REQUEST_ADMIN,
            static::getSiteAdministratorMail(),
            static::getSiteAdministratorMail(),
            'modules/Qualiteam/FreeCatalogFeatureT57432/notification/catalog_request',
            [],
            true,
            \XLite::ADMIN_INTERFACE,
            \XLite\Core\Config::getInstance()->General->default_admin_language
        );

        return static::getMailer()->getLastError();
    }
}
