<?php
// vim: set ts=4 sw=4 sts=4 et:

/**
 * Copyright (c) 2011-present Qualiteam software Ltd. All rights reserved.
 * See https://www.x-cart.com/license-agreement.html for license details.
 */

namespace XLite\Module\Qualiteam\FreeCatalogFeatureT57432;

abstract class Main extends \XLite\Module\AModule
{
    /**
     * Author name
     *
     * @return string
     */
    public static function getAuthorName()
    {
        return 'Qualiteam';
    }

    /**
     * Module name
     *
     * @return string
     */
    public static function getModuleName()
    {
        return 'Free catalog feature: #57432';
    }

    /**
     * Module description
     *
     * @return string
     */
    public static function getDescription()
    {
        return 'Task #57432: Free catalog feature';
    }

    /**
     * Get module major version
     *
     * @return string
     */
    public static function getMajorVersion()
    {
        return '5.3';
    }

    /**
     * Module version
     *
     * @return string
     */
    public static function getMinorVersion()
    {
        return '0';
    }

    /**
     * Get module build number (4th number in the version)
     *
     * @return string
     */
    public static function getBuildVersion()
    {
        return '0';
    }

    /**
     * @return string
     */
    public static function getAbsoluteExportDir()
    {
        return LC_DIR_FILES . 'requests_exports';
    }

    /**
     * @return string
     */
    public static function getRelativeExportDir()
    {
        return \Includes\Utils\FileManager::makeRelativePath(
            LC_DIR_VAR,
            static::getAbsoluteExportDir()
        );
    }

    /**
     * @param array $array
     * @param       $key
     * @param array $new
     *
     * @return array
     */
    public static function arrayInsertAfter(array $array, $key, array $new)
    {
        $keys = array_keys($array);
        $index = array_search($key, $keys, true);
        $pos = false === $index ? count($array) : $index + 1;

        return array_merge(
            array_slice($array, 0, $pos),
            $new,
            array_slice($array, $pos)
        );
    }
}
