<?php
// vim: set ts=4 sw=4 sts=4 et:

/**
 * Copyright (c) 2011-present Qualiteam software Ltd. All rights reserved.
 * See https://www.x-cart.com/license-agreement.html for license details.
 */

namespace XLite\Module\Qualiteam\GlobalDiscountsT60032\Module\CDev\VolumeDiscounts\Logic\Order\Modifier;

use XLite\Module\Qualiteam\GlobalDiscountsT60032\Model\Order;

/**
 * Class Discount
 * @package XLite\Module\Qualiteam\GlobalDiscountsT60032\Module\CDev\VolumeDiscounts\Logic\Order\Modifier
 *
 * @Decorator\Depend ("CDev\VolumeDiscounts")
 */
 class Discount extends \XLite\Module\CDev\VolumeDiscounts\Logic\Order\Modifier\DiscountAbstract implements \XLite\Base\IDecorator
{
    public function canApply()
    {
        return $this->executeExcluded(function() {
            return parent::canApply();
        });
    }

    public function calculate()
    {
        return $this->executeExcluded(function() {
            return parent::calculate();
        });
    }

    /**
     * @param callable $callback
     *
     * @return mixed
     */
    protected function executeExcluded($callback)
    {
        $this->setOrderForceExclude(true);
        $result = $callback();
        $this->setOrderForceExclude(false);

        return $result;
    }

    /**
     * @param boolean $value
     */
    protected function setOrderForceExclude($value)
    {
        $order = $this->getOrder();

        if ($order) {
            /** @var Order $order */
            $order->setForceSubtotalExcluding($value);
        }
    }
}
