<?php
// vim: set ts=4 sw=4 sts=4 et:

/**
 * Copyright (c) 2011-present Qualiteam software Ltd. All rights reserved.
 * See https://www.x-cart.com/license-agreement.html for license details.
 */

namespace XLite\Module\Qualiteam\TotalInMinicartT51748\Model;

 class Order extends \XLite\Module\XC\CustomOrderStatuses\Model\Order implements \XLite\Base\IDecorator
{
    /**
     * @var boolean
     */
    protected $forceTotalAsSubtotal = false;


    public function getSubtotal()
    {
        if ($this->isForceTotalAsSubtotal()) {
            return $this->getCustomDiscountedSubtotal();
        }

        return parent::getSubtotal();
    }


    /**
     * @return bool
     */
    public function isForceTotalAsSubtotal()
    {
        return $this->forceTotalAsSubtotal;
    }

    /**
     * @param bool  $forceTotalAsSubtotal
     */
    public function setForceTotalAsSubtotal($forceTotalAsSubtotal)
    {
        $this->forceTotalAsSubtotal = $forceTotalAsSubtotal;
    }

    protected function getCustomDiscountedSubtotal()
    {
        return $this->getTotal() - $this->getSurchargeSumByType(\XLite\Model\Base\Surcharge::TYPE_SHIPPING);
    }
}
